Skip to content

Mark Reviewed

POST
/transactions/mark-reviewed
curl --request POST \
--url https://example.com/transactions/mark-reviewed \
--header 'Content-Type: application/json' \
--data '{ "escalate": false, "note": "example", "transaction_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'

Bulk, idempotent. A review mark has no draft state, like confirm_transfer and match (#175, decision 47).

Media typeapplication/json
MarkReviewed
object
escalate
Escalate
boolean
note
Any of:
string
transaction_ids
required
Transaction Ids
Array<string>

Successful Response

Media typeapplication/json
Response Mark Reviewed Transactions Mark Reviewed Post
object
key
additional properties
integer

Example generated

{
"additionalProperty": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}